<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts PUBLIC
    "-//Apache Software Foundation//DTD Struts Configuration 2.0//EN"
    "http://struts.apache.org/dtds/struts-2.0.dtd">
<struts>
    <constant name="struts.objectFactory" value="spring" />
    <constant name="struts.action.extension" value="zhoulang" />
    
    <package name="default" extends="struts-default">
    	<action name="default" class="net.zhoulang.action.BookAction" method="bookList">
            <result name="success">default.jsp</result>
        </action>
        <action name="login" class="net.zhoulang.action.BookAction" method="login">
            <result name="input">/message.jsp</result>
            <result name="success" type="redirect">/default.zhoulang</result>
        </action>
    	<action name="admin" class="net.zhoulang.action.BookAction" method="successPage">
            <result name="success">admin.jsp</result>
        </action>
        <action name="insert" class="net.zhoulang.action.BookAction" method="successPage">
            <result name="success">/bookadd.jsp</result>
        </action>
        <action name="bookadd" class="net.zhoulang.action.BookAction" method="insert">
            <result name="input">/message.jsp</result>
            <result name="success" type="redirect">/default.zhoulang</result>
        </action>
        <action name="del" class="net.zhoulang.action.BookAction" method="delete">
            <result name="success">/message.jsp</result>
        </action>
    </package>
</struts>